@font-face {
    font-family: irsans;
    src: url("../fonts/IRANSansWeb.woff2")format("woff2");
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: irsans;
}

/* HEADER START */

header {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    padding: 10px;
}

.header-container {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 20px;
    width: 1200px;
}

.header-top {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: row;
    width: 100%;
}

.header-top .header-rast {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
    gap: 5px;
}

.header-top .header-rast .home-rast-khat {
    background-color: red;
    width: 5px;
    height: 50px;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
}

.header-top .header-rast .home-rast-logo {
    display: flex;
    align-items: flex-start;
    justify-content: center;
    flex-direction: column;
}

.header-top .header-rast .home-rast-logo h2 {
    color: blue;
}

.header-top .header-rast .home-rast-logo p {
    color: gray;
    font-size: 10.5px;
}

.header-top form {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
    border: 1px solid gray;
    border-radius: 5px;
    padding: 5px 10px;
    width: 600px;
}

.header-top form input {
    outline: none;
    border: none;
    color: black;
    width: 100%;
}

.header-top form button {
    transform: translateY(2px);
    background-color: unset;
    border: none;
    outline: none;
    cursor: pointer;
}

.header-top .header-chap {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
    gap: 10px;
}

.header-top .header-chap #btn1 {
    text-decoration: none;
    color: white;
    background-color: blue;
    padding: 3px 10px;
    border: 2px solid blue;
    border-radius: 5px;
    transition: all .5s;
}

.header-top .header-chap #btn1 i {
    transform: translateY(2px) translateX(-2px);
}

.header-top .header-chap #btn2,
.header-top .header-chap #btn3 {
    text-decoration: none;
    color: white;
    border: 2px solid red;
    background-color: red;
    padding: 3px 10px;
    border-radius: 5px;
    transition: all .5s;
}

.header-top .header-chap #btn1:hover,
.header-top .header-chap #btn2:hover,
.header-top .header-chap #btn3:hover {
    background-color: white;
    color: black;
}


.header-bottom {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: row;
    width: 100%;
}

.header-bottom .header-bottom-rast {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
    gap: 30px;
}

.header-bottom .header-bottom-chap i {
    color: red;
}

.header-bottom .header-bottom-rast a,
.header-bottom .header-bottom-chap a {
    text-decoration: none;
}

.header-bottom .header-bottom-rast .menu__link,
.header-bottom .header-bottom-chap .menu__link {
    color: black;
    line-height: 2;
    position: relative;
}

.header-bottom .header-bottom-rast .menu__link::before,
.header-bottom .header-bottom-chap .menu__link::before {
    content: '';
    width: 0;
    height: 2px;
    border-radius: 2px;
    background-color: red;
    position: absolute;
    bottom: -.25rem;
    left: 0;
    transition: left .4s, width .4s, right .4s;
}

.header-bottom .header-bottom-rast .menu__link:hover::before,
.header-bottom .header-bottom-chap .menu__link:hover::before {
    width: 100%;
    right: 0;
}

/* HEADER END */

/* HEADER-MOBILE START */

.headermobile {
    display: none;
    align-items: center;
    justify-content: center;
    width: 100%;
    padding: 0px 10px;
}

.headermobile-container {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    width: 100%;
    gap: 20px;
    padding: 10px 0px;
}

.headermobile-top {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: row;
    width: 100%;
}

.headermobile-top-rast,
.headermobile-top-vasat,
.headermobile-top-chap {
    display: flex;
    align-items: center;
    justify-content: center;
}

.headermobile-top-rast a {
    text-decoration: none;
    color: black;
    font-size: 26px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.headermobile-top-rast #xmark {
    display: none;
    align-items: center;
    justify-content: center;
    font-size: 26px;
    transform: translateX(-4px);
    cursor: pointer;
}

.headermobile-top-vasat p {
    color: blue;
    font-weight: bold;
}

.headermobile-top-chap a {
    text-decoration: none;
    color: black;
    padding: 3px 8px 1px 8px;
    border-radius: 5px;
    background-color: red;
    font-size: 16px;
    color: white;
}

.headermobile-bottom {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
}

.headermobile-bottom form {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    border: 1px solid #D1DBE8;
    border-radius: 5px;
    padding: 5px;
}

.headermobile-bottom form input {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    outline: none;
    border: none;
}

.headermobile-bottom form button {
    display: flex;
    align-items: center;
    justify-content: center;
    outline: none;
    border: none;
    background-color: unset;
    cursor: pointer;
}






#myLinks {
    display: none;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 15px;
    border: 2px solid #D1DBE8;
    width: 100%;
    padding: 10px;
    border-radius: 10px;
}

#myLinks a {
    text-decoration: none;
    color: black;
    position: relative;
    line-height: 2;
}

#myLinks a::before {
    content: '';
    width: 0;
    height: 2px;
    border-radius: 2px;
    background-color: red;
    position: absolute;
    bottom: -.25rem;
    left: 0;
    transition: left .4s, width .4s, right .4s;
}

#myLinks a:hover::before {
    width: 100%;
    right: 0;
}

/* HEADER-MOBILE END */































@media screen and (max-width:1050px) {

    header {
        display: none;
    }

    .headermobile {
        display: flex;
    }

}